# -*- encoding : utf-8 -*-

class Admin::MOdrPrimeFilesController < ApplicationController
  layout "admin"
  before_action :auth_admin

  before_action :admin_space
  
  def admin_space
    @admin_space = "default"
  end
  
  def index
    @m_odr_prime_files = MOdrPrimeFile.order(:name).all

    @m_odr_prime_files = sort_by_sorting(@m_odr_prime_files, "id DESC")
    respond_to do |format|
      format.html{
      
        params[:search][:per_page] = params[:search][:per_page] || 100
        per_page = params[:search][:per_page]
        page = (params[:page] and params[:page] != "") ? params[:page] : 1 
        @m_odr_prime_files = @m_odr_prime_files.page(page).per(per_page)
      
      }
    end
  end

  def show
    @m_odr_prime_file = MOdrPrimeFile.find(params[:id])

  end

  def new
    @m_odr_prime_file = MOdrPrimeFile.new
  
  end

  def edit
    @m_odr_prime_file = MOdrPrimeFile.find(params[:id])
    
  end

  def create
    @m_odr_prime_file = MOdrPrimeFile.new(params.require(:m_odr_prime_file).permit!)

    if @m_odr_prime_file.save
      
    else
      render action: "new"
 
    end

  end


  def update
    @m_odr_prime_file = MOdrPrimeFile.find(params[:id])


    if @m_odr_prime_file.update_attributes(params.require(:m_odr_prime_file).permit!)
      
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @m_odr_prime_file = MOdrPrimeFile.find(params[:id])
    @m_odr_prime_file.destroy
    
  end
end
